Metrics

View as Markdown

Query Metrics

GET
/agent/v0/metrics

Query Parameters

event_types?array<>

List of metric event types to query.

start?string

Start timestamp for the query.

Formatdate-time
end?string

End timestamp for the query.

Formatdate-time
period?string

Period in number of seconds for the query.

limit?integer

Limit on number of buckets to return.

descending?boolean

Sort in descending order.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/metrics" \  -H "Authorization: string"
{
  "property1": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "count": 0
    }
  ],
  "property2": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "count": 0
    }
  ]
}
{
  "name": "string",
  "errors": null
}